BlackScholesCalculator Class Reference

Black-Scholes 1973 calculator class. More...

`#include <ql/pricingengines/blackscholescalculator.hpp>`

Inheritance diagram for BlackScholesCalculator:
[legend]

## Public Member Functions

| BlackScholesCalculator (const ext::shared_ptr< StrikedTypePayoff > &payoff, Real spot, DiscountFactor growth, Real stdDev, DiscountFactor discount)
| BlackScholesCalculator (Option::Type optionType, Real strike, Real spot, DiscountFactor growth, Real stdDev, DiscountFactor discount)
Real | delta () const
Real | elasticity () const
Real | gamma () const
Real | theta (Time maturity) const
Real | thetaPerDay (Time maturity) const
virtual Real | delta (Real spot) const
virtual Real | elasticity (Real spot) const
virtual Real | gamma (Real spot) const
virtual Real | theta (Real spot, Time maturity) const
virtual Real | thetaPerDay (Real spot, Time maturity) const
Public Member Functions inherited from BlackCalculator
| BlackCalculator (const ext::shared_ptr< StrikedTypePayoff > &payoff, Real forward, Real stdDev, Real discount=1.0)
| BlackCalculator (Option::Type optionType, Real strike, Real forward, Real stdDev, Real discount=1.0)
Real | value () const
Real | deltaForward () const
virtual Real | delta (Real spot) const
Real | elasticityForward () const
virtual Real | elasticity (Real spot) const
Real | gammaForward () const
virtual Real | gamma (Real spot) const
virtual Real | theta (Real spot, Time maturity) const
virtual Real | thetaPerDay (Real spot, Time maturity) const
Real | vega (Time maturity) const
Real | rho (Time maturity) const
Real | dividendRho (Time maturity) const
Real | itmCashProbability () const
Real | itmAssetProbability () const
Real | strikeSensitivity () const
Real | alpha () const
Real | beta () const

## Protected Attributes

Real | spot_
DiscountFactor | growth_
Protected Attributes inherited from BlackCalculator
Real | strike_
Real | forward_
Real | stdDev_
Real | discount_
Real | variance_
Real | d1_
Real | d2_
Real | alpha_
Real | beta_
Real | DalphaDd1_
Real | DbetaDd2_
Real | n_d1_
Real | cum_d1_
Real | n_d2_
Real | cum_d2_
Real | x_
Real | DxDs_
Real | DxDstrike_

## Additional Inherited Members

Protected Member Functions inherited from BlackCalculator
void | initialize (const ext::shared_ptr< StrikedTypePayoff > &p)

## Detailed Description

Black-Scholes 1973 calculator class.

## Member Function Documentation

## delta() [1/2]

Real delta | ( |  | ) | const

Sensitivity to change in the underlying spot price.

## elasticity() [1/2]

Real elasticity | ( |  | ) | const

Sensitivity in percent to a percent change in the underlying spot price.

## gamma() [1/2]

Real gamma | ( |  | ) | const

Second order derivative with respect to change in the underlying spot price.

## theta() [1/2]

Real theta | ( | Time | maturity | ) | const

Sensitivity to time to maturity.

## thetaPerDay() [1/2]

Real thetaPerDay | ( | Time | maturity | ) | const

Sensitivity to time to maturity per day (assuming 365 day in a year).

## delta() [2/2]

virtual Real delta

Sensitivity to change in the underlying spot price.

## elasticity() [2/2]

virtual Real elasticity

Sensitivity in percent to a percent change in the underlying spot price.

## gamma() [2/2]

virtual Real gamma

Second order derivative with respect to change in the underlying spot price.

## theta() [2/2]

virtual Real theta

Sensitivity to time to maturity.

## thetaPerDay() [2/2]

Real thetaPerDay

Sensitivity to time to maturity per day, assuming 365 day per year.